require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();


SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusSauteed", false);
SManager:AddAppetizer(AppetizerType.QUICHE, "quicheMushroom", true);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpScampi", false);

SManager:AddMeal(MealType.STEAK, "steakCuban", false);
SManager:AddMeal(MealType.PASTA, "fettucine", true);
SManager:AddMeal(MealType.CHICKEN, "chickenMesquite", true);

SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMArgentina", false);
SManager:AddHoneymoon(HoneymoonType.CAMP, "HMGreatSmoky", false);
SManager:AddHoneymoon(HoneymoonType.SAFARI, "HMZimbabwe", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.MEAL, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");